Bug 985530 - Traceback (most recent call last): with spacecmd on RHEL 5
Traceback (most recent call last): with spacecmd on RHEL 5
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: spacecmd (Show other bugs)
el5
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 13:04 EDT by redhawk1973
Modified: 2013-08-05 19:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: spacecmd-1.9.4-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 19:29:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhawk1973 2013-07-17 13:04:23 EDT
Description of problem:
spacecmd -q -u user -p -user -s satellite -- system_details 1000010401

Traceback (most recent call last):

  File "/usr/bin/spacecmd", line 86, in ?

    from spacecmd.shell import SpacewalkShell

  File "/usr/lib/python2.4/site-packages/spacecmd/shell.py", line 25, in ?

    from spacecmd.utils import *

  File "/usr/lib/python2.4/site-packages/spacecmd/utils.py", line 36, in ?

    import simplejson as json  # python < 2.6

ImportError: No module named simplejson

Version-Release number of selected component (if applicable):
1.9.4-1.el5

How reproducible:
Make sure that python-simplejson is not installed on a Red Hat Enterprise Linux Server release 5.9 (Tikanga) x86_64 systems

Steps to Reproduce:
1. install spacecmd
2. Run "spacecmd -q -u user -p -user -s satellite -- system_details 1000010401"
3.

Actual results:
Traceback (most recent call last):

  File "/usr/bin/spacecmd", line 86, in ?

    from spacecmd.shell import SpacewalkShell

  File "/usr/lib/python2.4/site-packages/spacecmd/shell.py", line 25, in ?

    from spacecmd.utils import *

  File "/usr/lib/python2.4/site-packages/spacecmd/utils.py", line 36, in ?

    import simplejson as json  # python < 2.6

ImportError: No module named simplejson

Expected results:
Name:          1000010401
System ID:     1000010401
UUID:          5034be33e17715596314ace329936b98
Locked:        False
Registered:    20130205T12:28:45
Last Checkin:  20130717T12:23:53
OSA Status:    online

Hostname:      vmw031.example.com
IP Address:    192.159.48.82
Kernel:        2.6.18-348.6.1.el5

Activation Keys
---------------
1-entitle-example-rhel5-server-x86_64

Software Channels
-----------------
clone-rhel-x86_64-server-5
  |-- clone-rhel-x86_64-server-supplementary-5
  |-- clone-rhn-tools-rhel-x86_64-server-5
  |-- clone-rhel-x86_64-server-productivity-5
  |-- clone-epel-5-x86-64

Configuration Channels
----------------------
global-ssh-keys
LDAP
global-cfg
config-rhel5-pam
ssh-keys-non-humans

scripts

Entitlements
------------
enterprise_entitled
provisioning_entitled

System Groups
-------------
farmer_group
LDAP
RHEL5
VMWare



Additional info:
Comment 1 Miroslav Suchý 2013-07-18 02:39:43 EDT
Upstream commit:
* 4bd620e (HEAD, tag: spacecmd-2.0.2-1, origin/master, origin/HEAD, master) Automatic commit of package [spacecmd] release [2.0.2-1]
* 3cc671b 985530 - require python and python-simplejson

Backported to spacecmd-1.9.4-2
Comment 2 Fedora Update System 2013-07-18 02:45:01 EDT
spacecmd-1.9.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/spacecmd-1.9.4-2.el5
Comment 3 Fedora Update System 2013-07-19 19:59:10 EDT
Package spacecmd-1.9.4-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing spacecmd-1.9.4-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10892/spacecmd-1.9.4-2.el5
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-05 19:29:51 EDT
spacecmd-1.9.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.